#ifndef HEY_SCHEMA_COMMON_H
#define HEY_SCHEMA_COMMON_H

#include <stdint.h>
#include <stdbool.h>
#include <stdio.h>

struct hey_action_ctx;

/*
 * @brief event notification detailed parameters
 */
struct hey_event_notify_attr {
    unsigned int importance; // the importance of this notification
    uint64_t ref_id;         // the related event uuid of this notification
    uint64_t timestamp;      // the UTC timestamp when this event happen, unit: ms
    void *cb_data;           // callback data for user
};

struct hey_binary_data {
    size_t len;
    uint8_t *data;
};

struct hey_array_node {
    uint32_t id;
    struct hey_binary_data data;
};

#endif /* HEY_SCHEMA_COMMON_H */
